#pragma once

#include <iostream>


class SerialMock {
public:
    template< typename T>
    static inline void print(const T & str) {
        std::cout << str;
    }
    template< typename T>
    static inline void println(const T & str) {
        std::cout << str << std::endl;
    }
};

static SerialMock Serial;